using EVCB_OCPP.Packet.Features.Core;
using EVCB_OCPP.Packet.Messages.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Features.Core
{
    public class RemoteStopTransactionFeature : Feature
    {
        public override string GetAction()
        {
            return Actions.RemoteStopTransaction.ToString();

        }

        public override Type GetConfirmationType()
        {
            return typeof(RemoteStopTransactionConfirmation);
        }

        public override Type GetRequestType()
        {
            return typeof(RemoteStopTransactionRequest);
        }
    }
}
